Subject: RE: TE Extension of IGP

From: "Chiu, Angela L, ALSVC" <[email-masked]>
Date: Mon, 24 Apr 2000 16:42:21 -0400

Hansen and Dan,

I just want to add one other point. When a network operator wants to use a
small set of LSPs to remove a few hot spots in the network assuming all
other links having satisfactory performance, an offline tool may be the
preferred way to identify which traffic trunks that contribute to those
congestion points should be re-routed away from those hot spots, and then
figure out what the new non-shortest path should be, and leave all the rest
of the traffic on its normal shortest path. 

As far as I know, all the online LSP path computation algorithms provided by
the vendors are not capable of taking the normal IP traffic into account
since the algorithms only see the bandwidth requirements from traffic on
LSPs. If one has to use the online LSP path computation algorithm, he/she
needs to use some offline tool to figure out the aggregate bandwidth
requirement by the normal IP traffic on each link (excluding the traffic
trunks that will be routed via LSPs), substract that from the total
available bandwidth for that link, and make that the new available bandwidth
for the online LSP path computation algorithm to use.

Regards,
Angela

AT&T Labs
Room C4-3A22
200 Laurel Ave.
Middletown, NJ 07748
Tel. (732) 420-2290
Fax (732) 368-1746
Email: [email-masked]

> -----Original Message-----
> From:	Daniel Awduche [SMTP:[email-masked]]
> Sent:	Monday, April 24, 2000 1:59 PM
> To:	HANSEN CHAN
> Cc:	Anoop Ghanwani; [email-masked]; Daniel Awduche
> Subject:	Re: TE Extension of IGP
> 
> Hansen,
> 
> Online LSP path computation is the preferred operational model in many
> contexts -- for many good reasons.  Obviously, service providers
> have the option to activate these aspects according to their
> circumstance and needs...
> 
> As a simple rule of thumb, in networks with adequate capacity, online
> constraint-based routing should suffice for LSP path placement. In
> relatively under-capacitated networks, however, significant 
> offline effort may be required to squeeze additional utility from the
> infrastructure.
> 
> Cheers,
> /Dan
> 
> On Fri, Apr 21, 2000 at 11:06:08PM -0400, HANSEN CHAN wrote:
> > Dan,
> > 
> > I agree that most MPLS implementations perform LSP path computations
> online. But I
> > always thought the working LSPs deployed in the networks are still
> computed
> > offline. You only use online computations when you're
> re-routing/repairing the LSPs
> > around some failure. Is my understanding correct?
> > 
> > Cheers,
> > Hansen
> > 
> > Daniel Awduche wrote:
> > 
> > > Hansen,
> > >
> > > Yes, many (perhaps most) contemporary implementations perform
> > > LSP path computations online. This is a mandatory requirement
> > > in some operational contexts. It's also possible to augment
> > > the online system with offline software tools.
> > >
> > > Cheers,
> > > /Dan
> > >
> > > On Thu, Apr 20, 2000 at 06:04:13PM -0400, HANSEN CHAN wrote:
> > > > Dan,
> > > >
> > > > To make sure I understand. Do you mean the path of LSPs is computed
> on the
> > > > node, not by software tools?
> > > >
> > > > Thanks,
> > > > Hansen
> > > >
> > > > Daniel Awduche wrote:
> > > >
> > > > > Actually, the original assertion/generalization is false
> > > > > (i.e. that "LSPs in today's MPLS network are usually computed
> > > > > off-node").
> > > > >
> > > > > Cheers,
> > > > > /Dan
> > > > >
> > > > > On Thu, Apr 20, 2000 at 02:08:22PM -0400, Anoop Ghanwani wrote:
> > > > > >
> > > > > >
> > > > > > > I am trying to understanding the use of TE extension of IGP in
> a MPLS
> > > > > > > network. From my understanding, you need TE extension when
> you're doing
> > > > > > > on-node path computation. However, since LSPs in today's MPLS
> network
> > > > > >
> ^^^^^^^^^^^^^^^^^^^^
> > > > > >
> > > > > > We're hoping it won't stay that way forever because it's
> limiting
> > > > > > to have to rely on offline tools for all traffic engineering :-)
> > > > > >
> > > > > > That means that traffic engineering would need to be more
> dynamic,
> > > > > > and the routers would play a more active role in determining
> paths
> > > > > > and possibly doing network optimization.  Hence the IGP
> extensions.
> > > > > >
> > > > > > > are usually computed off-node (in software tool), why would
> the use of
> > > > > > > TE extension be critical?
> > > > > > >
> > > > > > > Appreciate if someone can shed some light on this question.
> > > > > >

---

From: "HANSEN CHAN" <[email-masked]>
Date: Mon, 24 Apr 2000 18:17:10 -0400

Angela,

> of the traffic on its normal shortest path.

If I understand the picture correctly, that offline tool should do the
following:

1. collect statistics from the network and analyze network trunk bandwidth
utilization to understand where the hot spot is
2. compute the LSP paths (offline) with certain algorithm for the optimal use of
trunk bandwidth in the network

But as Dan said in his message, LSPs are more likely to be computed online. I
cannot see how a node can compute all LSPs for the whole network. It might be
able to do a good job for LSPs originating from itself. But for LSPs originating
from other edge LSR? I would think a offline tool is a better place to plan for
all LSPs.

Cheers,
Hansen

---

From: Daniel Awduche <[email-masked]>
Date: Tue, 25 Apr 2000 00:47:56 -0400

Angela,

See comments inline...

> of the traffic on its normal shortest path. 

Yes, if specific pathologies exist (e.g. hot-spots) within 
the network, then intervention is usually necessary to 
address the situation. In such cases, analysis can be
conducted offline to diagnose the problem and prescribe 
an appropriate course of action, which may involve defining 
or identifying LSPs to route/re-route through alternative 
paths with adequate capacity. If frequent intervention 
is warranted, then perhaps there are more fundamental 
issues at play which demand a stronger solution, e.g., 
augment capacity, review and amend the operational 
process models, etc.

> for the online LSP path computation algorithm to use.

Yes, if "normal IP traffic" (traffic that do not traverse through 
LSPs) constitute a reasonable proportion of the workload through 
an MPLS domain, then online constraint-based routing becomes
less effective and additional offline effort may be required. 
The operational model can also be amended to reduce the amount
of effort required...

Cheers,
/Dan

---

From: "HANSEN CHAN" <[email-masked]>
Date: Tue, 25 Apr 2000 07:47:47 -0400

Dan,

> The operational model can also be amended to reduce the amount

You raise an interesting question. There're two scenarios you described:

Scenario A: networks of "normal IP traffic" with a reasonable proportion of the
workload
Scenario B: networks of "normal IP traffic" with minimal proportion of the
workload

Offline computation seems to be the preferred choice in scenario A while online
computation appears to be the preferred choice in scenario B, from the e-mail
discussion so far.

Then my question is, which scenario will prevail in the "next generation network"
(sorry for not able find a better word)? Would IP traffic on LSP be the norm or
"normal IP traffic" be the norm?

Cheers,
Hansen